Loading...
Searching...
No Matches
apr_want.h File Reference

APR Standard Headers Support. More...

`#include "apr.h"`
Include dependency graph for apr_want.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

APR Standard Headers Support.

    Features:

      APR_WANT_STRFUNC:  strcmp, strcat, strcpy, etc
      APR_WANT_MEMFUNC:  memcmp, memcpy, etc
      APR_WANT_STDIO:    <stdio.h> and related bits
      APR_WANT_IOVEC:    struct iovec
      APR_WANT_BYTEFUNC: htons, htonl, ntohl, ntohs

    Typical usage:

      #define APR_WANT_STRFUNC
      #define APR_WANT_MEMFUNC
      #include "apr_want.h"

    The appropriate headers will be included.

    Note: it is safe to use this in a header (it won't interfere with other
          headers' or source files' use of apr_want.h)